Subject: Re: PMP> Traps

From: [email-masked] (Bill Wagner)
Date: Fri, 4 Apr 1997 01:19:38 -0500

As far as I know, there is no standard way of registering trap 
     addresses. (I guess the party MIB was supposed to do that, but it 
     apparently is defunct?). I am unsure that it would be worthwhile to 
     define a printer specific way to do this. Would we have to indicate 
     how many recipients could be listed? What about SNMP over IPX; are IPX 
     addresses also listed? There are too many questions, and I don't hear 
     many people stressing the importance of printer traps. 
     
     With respect to having to define a way to register trap addresses in 
     the RFC to be able to advance the MIB, does any other MIB-defining RFC 
     do that? 
     
     Bill Wagner, DPI

______________________________ Reply Separator _________________________________
Subject: PMP> Traps
Author:  Chris Wellens <[email-masked]> at Internet
Date:    4/3/97 11:33 AM

     
Another item for the list of outstanding issues is the traps. 
We had 100% failure from all vendors on this at the 
interoperability testing in February.  (These were part of the
IWL tests.)  At first, we thought there was something wrong with 
the test, but when we loaded up our agent simulator with RFC 
1759 we were able to generate a trap and test it just fine.  I 
suspect that the printers that did support traps were configured 
in such a way so that the trap was not getting sent to the IWL 
Test Suite, but rather another application on the system.  At 
least, I hope that was the situation.  Harry's earlier email on 
this (included below) seems to confirm this.
     
We will need to come up with a solution in order to advance to 
DRAFT standard.  The solution could be a standard method of 
registering traps for printers, or we could delete the 
discussion of traps entirely.  Whether traps are mandatory or 
optional, we are still faced with the requirement of having two 
interoperable (consistently implemented) implementations of the 
feature.  Right now, we don't have that.
     
Suggestions are welcome!
     
Harry's original mail:
     
("Harry Lewis) @ SMTP
Date: 02/20/97 09:02:51 AM
Subject: PMP> Registering for Traps
     
I don't have a specific proposal at this point but I'd like to raise the 
idea of a standard method of registering for traps. I think we discovered 
at the bake-off that every vendor has a means to register buried in their 
private mib somewhere. This means, a management app wanting traps, has to 
know each vendors means of registering.
     
Is anyone following the development of SNMPv3 to know if this will be covered, 
or if it's handled in the (defunct) v2?
     
I wouldn't even care if it was printer MIB specific, although I guess thats 
some form of SNMP blaspheme.
     
Anyone care to share ideas on this? Should we forget it and just look to IPP 
for the answer?
     
Harry Lewis - IBM Printing Systems